%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           quilt
Version:        0.68
Release:        1
Summary:        Scripts for working with series of patches

License:        GPLv2
URL:            https://savannah.nongnu.org/projects/%{name}
Source:         https://download-mirror.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  diffstat
BuildRequires:  gettext
BuildRequires:  gawk
BuildRequires:  p7zip
BuildRequires:  perl-generators
BuildRequires:  perl-podlators
BuildRequires:  util-linux-ng
BuildRequires:  sendmail

Requires:       bzip2
Requires:       coreutils
Requires:       diffstat
Requires:       diffutils
Requires:       gawk
Requires:       gzip
Requires:       p7zip
Requires:       procmail
Requires:       rpm-build
Requires:       sed
Requires:       tar
Requires:       util-linux-ng
Requires:       sendmail

%description
These scripts allow one to manage a series of patches by keeping track of the
changes each patch makes. Patches can be applied, un-applied, refreshed, etc.

The scripts are heavily based on Andrew Morton's patch scripts found at
http://www.zip.com.au/~akpm/linux/patches/


%prep
%autosetup -p1


%build
%configure                             \
  --docdir=%{_pkgdocdir}               \
  --with-diffstat=%{_bindir}/diffstat  \
  --with-sendmail=%{_sbindir}/sendmail \
;
%make_build


%install
%make_install BUILD_ROOT=%{buildroot}
%{find_lang} %{name}
mv %{buildroot}%{_pkgdocdir}/* .
rm -rf %{buildroot}%{_pkgdocdir}


%files -f %{name}.lang
%doc README README.MAIL quilt.pdf TODO
%license AUTHORS COPYING
%{_bindir}/guards
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/emacs/site-lisp/%{name}.el
%{_sysconfdir}/bash_completion.d
%config %{_sysconfdir}/%{name}.%{name}rc
%{_mandir}/man1/*.1*


%changelog
* Wed Jul 10 2024 wangkai <13474090681@163.com> - 0.68-1
- Update to 0.68
- Add support for zstd archives
- Documentation: Massive formatting update of the manual page
- Documentation: Reword some sections of the manual page
- Fix compatibility with BSD awk
- Fix compatibility with GNU awk version 5.0.0 and later
- Fix compatibility with GNU grep version 3.8 and later
- Fix compatibility with Solaris ln (#63451)
- Installation: Fix multiple issues in install-sh (#64430)
- Test suite: Fix various race conditions (#63651)
- patches: Find file name with a space in unapplied patches (#41708)
- pop: Hint at diff -z on failure
- setup: Document the limitation of spec file support 

* Fri May 6 2022 Chenxi Mao <chenxi.mao@suse.com> - 0.67-1
- Upgrade version to 0.67

* Tue Sep 14 2021 lijingwei <lijingwei@uniontech.com> - 0.66-1
- Initial package.
